<%= stylesheet_link_tag "active_admin" %>
<%= javascript_include_tag "active_admin" %>

<title>Crop Image</title>
<body class="logged_in">
<div id="title_bar">
<h2>Crop Image</h2>
</div>


<script type="text/javascript" charset="utf-8">
$(function() {
  $('#cropbox').Jcrop({
    onChange: update_crop,
    onSelect: update_crop,
    setSelect: [0, 0, 50, 50],
    aspectRatio: <%= params[:aspect] %>,
    minSize: <%= params[:size].split('x').map {|x| x.to_i} %>
  });
});

function gcd (a, b) {
  return (b == 0) ? a : gcd (b, a%b);
}

function update_crop(coords) {
  var ratio = <%= @image.image_geometry(:photo, :original).width %> / <%= @image.image_geometry(:photo, :large).width %>
  $("#crop_x").val(Math.round(coords.x * ratio));
  $("#crop_y").val(Math.round(coords.y * ratio));
  $("#crop_w").val(Math.round(coords.w * ratio));
  $("#crop_h").val(Math.round(coords.h * ratio));
  $("#size").html("Size: " + Math.floor(coords.w * ratio) + " x " + Math.floor(coords.h * ratio))
}
</script>
<div id="active_admin_content" class="without_sidebar">
<%= form_for(@image, url: montage.image_path(@image.id)) do |fi| %>
  <%= image_tag @image.photo.url(:large), :id => "cropbox" %>

  <% [:crop_x, :crop_y, :crop_w, :crop_h].each do |att| %>
    <%= fi.hidden_field att, id: att %>
  <% end %>

  <div id="size" class="centered">x</div>
  <fieldset class="actions">
    <ol>
      <li class="action"><%= fi.submit "Crop", class: 'submit' %></li>
      <li class="action cancel"><%= link_to 'Cancel', "#", class: 'button', onclick: 'window.close()' %></li>
    </ol>
  </fieldset>
<% end %>

</div>
</body>